(RHSA-2019:2542) Moderate: Ansible security and bug fix update

2019-08-21T21:53:50
ID RHSA-2019:2542
Type redhat
Reporter RedHat
Modified 2019-08-21T22:02:56

Description

Ansible is a simple model-driven configuration management, multi-node deployment, and remote-task execution system. Ansible works over SSH and does not require any software or daemons to be installed on remote nodes. Extension modules can be written in any language and are transferred to managed machines automatically.

The following packages have been upgraded to a newer upstream version: ansible (2.8.4)

Security fix(es):

  • Ansible: data disclosure when a password from the prompt contains template characters (CVE-2019-10206)
  • Ansible: gcp modules do not flag sensitive data fields properly (CVE-2019-10217)

For more details about the security issue(s), including the impact, a CVSS score, and other related information, refer to the CVE page(s) listed in the References section.

Bug Fix(es):

For details on bug fixes in this release see:

https://github.com/ansible/ansible/blob/v2.8.4/changelogs/CHANGELOG-v2.8.rst